Index: fedd/wsdl/fedd_internal_messages.wsdl
===================================================================
--- fedd/wsdl/fedd_internal_messages.wsdl	(revision 338e9a74a9f42e9dc108e27269fb1a85b174a3ce)
+++ fedd/wsdl/fedd_internal_messages.wsdl	(revision 338e9a74a9f42e9dc108e27269fb1a85b174a3ce)
@@ -0,0 +1,94 @@
+<?xml version="1.0"?>
+<definitions name="fedd"
+  targetNamespace="http://www.isi.edu/faber/fedd_internal_messages"
+  xmlns:tns="http://www.isi.edu/faber/fedd_internal_messages"
+  xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
+  xmlns:xsd="http://www.w3.org/2000/10/XMLSchema"
+  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
+  xmlns="http://schemas.xmlsoap.org/wsdl/">
+
+  <!--
+  The message definitions are all simple embeddings of one of the types
+  from fedd_types.xsd 
+  -->
+
+  <message name="FaultMessage">
+    <part name="FaultBody" type="xsd1:faultType"/>
+  </message>
+
+  <message name="AllocateProjectRequestMessage">
+    <part name="AllocateProjectRequestBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="AllocateProjectResponseMessage">
+    <part name="AllocateProjectResponseBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="StaticProjectRequestMessage">
+    <part name="StaticProjectRequestBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="StaticProjectResponseMessage">
+    <part name="StaticProjectResponseBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="ReleaseProjectRequestMessage">
+    <part name="ReleaseProjectRequestBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="ReleaseProjectResponseMessage">
+    <part name="ReleaseProjectResponseBody" type="xsd1:projectAllocType"/>
+  </message>
+
+  <message name="Ns2SplitRequestMessage">
+    <part name="Ns2SplitRequestBody" type="xsd1:ns2SplitRequestType"/>
+  </message>
+
+  <message name="Ns2SplitResponseMessage">
+    <part name="Ns2SplitResponseBody" type="xsd1:ns2SplitResponseType"/>
+  </message>
+
+  <portType name="feddInternalPortType">
+    <operation name="AllocateProject">
+      <documentation>
+	This internal interface allows the part of a fedd running on a machine
+	other than the boss node of the emulab in question to request creation
+	of a dynamic project on the boss node.
+      </documentation>
+      <input message="tns:AllocateProjectRequestMessage"/>
+      <output message="tns:AllocateProjectResponseMessage"/>
+      <fault name="InternalFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="StaticProject">
+      <documentation>
+	This internal interface allows the part of a fedd running on a machine
+	other than the boss node of the emulab in question to request
+	modification of a static project.  For example keys can be added or
+	node access granted.
+      </documentation>
+      <input message="tns:StaticProjectRequestMessage"/>
+      <output message="tns:StaticProjectResponseMessage"/>
+      <fault name="InternalFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="ReleaseProject">
+      <documentation>
+	This internal interface allows the part of a fedd running on a machine
+	other than the boss node of the emulab in question to release resources
+	allocated to either a static or dynamic project.
+      </documentation>
+      <input message="tns:ReleaseProjectRequestMessage"/>
+      <output message="tns:ReleaseProjectResponseMessage"/>
+      <fault name="InternalFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Ns2Split">
+      <documentation>
+	This allows a fedd that does not have direct access to the modified ns
+	parser that splits a CEDL description into federation data to access
+	that functionality remotely.
+      </documentation>
+      <input message="tns:Ns2SplitRequestMessage"/>
+      <output message="tns:Ns2SplitResponseMessage"/>
+      <fault name="InternalFault" message="tns:FaultMessage"/>
+    </operation>
+  </portType>
+</definitions>
